Create team dispatches (v2)

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Purpose: Allows external systems to assign multiple authorized drivers to a single trip and enable team-driving support.

We are introducing a Co-Driver association method, that allows multiple drivers to be "authorized" for a single dispatch trip. This enables seamless swapping of the "_Active Driver" role directly from the mobile app, ensuring the driver currently behind the wheel has full visibility without requiring manual dispatcher intervention or trip re-assignment.

{
  "dispatches": [
    {
      "id": 43686,
      "order_number": "574869",
      "status": "planned",
      "dispatch_team_driving_enabled_v2": true,
      "dispatch_trips": [
        {
          "id": 31911,
          "driver_id": 4713870,
          "co_drivers": [
            4713860,
            4713870,
            4713880
          ],
          "vehicle_id": 1320960,
          "dispatch_stops": [
            {
              "dispatch_stop": {
                "id": 42,
                "vendor_id": "VDS-1",
                "bill_of_lading": null,
                "comments": null,
                "driver_load": false,
                "early_date": "2017-07-13T19:13:00+00:00",
                "form_ids": [
                  "0b90adf8-2321-4198-9315-5fb57e155c15",
                  "2a00385b-7de3-48b2-9bfc-842eb168e535",
                  "fff80dfb-dda9-4502-8ca6-6c69fa6d70d6"
                ]
              }
            }
          ]
        }
      ]
    }
  ]
}

Response Parameters

dispatches[]

  • Type: Array of Objects
  • Description: List of dispatch objects returned in the response.

id

  • Type: Integer
  • Description: Unique ID of the dispatch.

order_number

  • Type: String
  • Description: Order number associated with the dispatch.

status

  • Type: String
  • Description: Current status of the dispatch.

dispatch_team_driving_enabled_v2

  • Type: Boolean
  • Description: Indicates whether team driving is enabled for v2 consumers for the dispatch.

dispatch_trips[]

  • Type: Array of Objects
  • Description: List of trips associated with the dispatch.

id

  • Type: Integer
  • Description: Unique ID of the dispatch trip.

driver_id

  • Type: Integer
  • Description: ID of the active driver assigned to the trip.

co_drivers[]

  • Type: Array of Integers
  • Description: List of authorized co-driver IDs associated with the trip.

vehicle_id

  • Type: Integer
  • Description: ID of the vehicle assigned to the trip.

dispatch_stops[]

  • Type: Array of Objects
  • Description: List of stops associated with the dispatch trip.

Body Params
dispatches
array of objects

Specify the list of dispatch records to create or update in the request payload.

dispatches
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json